Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.core.v2
Class OcmwCpasType

    java.lang.Object
      be.fgov.ehealth.mediprima.core.v2.OcmwCpasType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:27:39+02:00",
               comments="JAXB RI v2.3.6")
    public class OcmwCpasType

extends Object
implements Serializable

Java class for OcmwCpasType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OcmwCpasType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CbeNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="MunicipalityIns" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Name" type="{urn:be:fgov:ehealth:mediprima:core:v2}NameType" maxOccurs="unbounded" minOccurs="2"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OcmwCpasType()`

Method Summary
`String` | `getCbeNumber()` Gets the value of the cbeNumber property.
`String` | `getMunicipalityIns()` Gets the value of the municipalityIns property.
`List<NameType>` | `getNames()` Gets the value of the names property.
`void` | `setCbeNumber(String value)` Sets the value of the cbeNumber property.
`void` | `setMunicipalityIns(String value)` Sets the value of the municipalityIns property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OcmwCpasType

    public OcmwCpasType()

Method Detail

### getCbeNumber

    public String getCbeNumber()

  Gets the value of the cbeNumber property.

  Returns:
    possible object is `String`

### setCbeNumber

    public void setCbeNumber(String value)

  Sets the value of the cbeNumber property.

  Parameters:
    `value` - allowed object is `String`

### getMunicipalityIns

    public String getMunicipalityIns()

  Gets the value of the municipalityIns property.

  Returns:
    possible object is `String`

### setMunicipalityIns

    public void setMunicipalityIns(String value)

  Sets the value of the municipalityIns property.

  Parameters:
    `value` - allowed object is `String`

### getNames

    public List<NameType> getNames()

  Gets the value of the names property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the names property.

  For example, to add a new item, do as follows:

          getNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.